



#ifndef __IMAGER_TIFF_H
#define __IMAGER_TIFF_H



static const char *filetype_names[] = 
{
	"Undefined",
	"TIFF (Intel)",
	"TIFF (Motorola)",
	"VSRT",
	"VFLT",
	"DICOM",
	"PGM",
	"PPM"
};
#define	NFILETYPES	(sizeof (filetype_names) / sizeof (filetype_names[0]))



static const char *photoNames[] = 
{
    "min-is-white",				/* PHOTOMETRIC_MINISWHITE */
    "min-is-black",				/* PHOTOMETRIC_MINISBLACK */
    "RGB color",				/* PHOTOMETRIC_RGB */
    "palette color (RGB from colormap)",	/* PHOTOMETRIC_PALETTE */
    "transparency mask",			/* PHOTOMETRIC_MASK */
    "separated",				/* PHOTOMETRIC_SEPARATED */
    "YCbCr",					/* PHOTOMETRIC_YCBCR */
    "7 (0x7)",
    "CIE L*a*b*",				/* PHOTOMETRIC_CIELAB */
};
#define	NPHOTONAMES	(sizeof (photoNames) / sizeof (photoNames[0]))



short swap_msb_lsb (short x); 	/* might be useful at other places, too */

char is_tiff (const char* filename);
int tiffread (image_type* img, const char* filename);
int tiffwrite (char* fname, image_type* img, int comp, char* comment, int st, int en);

char is_vsrt (const char* filename);
int vsrtread (image_type* img, const char* filename, int isflt);
int vsrtwrite (image_type* img, const char* filename, int st, int en);


int raw_write (image_type* img, const char* filename, int st, int en);
int DX_write (image_type* img, const char* filename, int st, int en, float zscale);

int pnm_write (image_type* img, const char* filename, int st, int en);
int pnm_read (image_type* img, const char* filename);

int ascii_write (image_type* img, const char* filename, int st, int en);


#endif

